/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2006. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
(function() {
	
dojo.provide("com.ibm.rational.report.web.cq.app.internal.Navbar");

dojo.require("com.ibm.rational.report.web.core.app.internal.Navbar");
dojo.require("com.ibm.rational.report.web.cq.app.internal.AboutDialog");
dojo.requireLocalization("com.ibm.rational.report.web.cq.app.internal", "Messages");

var InternalMessages	= dojo.i18n.getLocalization("com.ibm.rational.report.web.cq.app.internal", "Messages");

/**
 * Displays the top navigation bar.
 */
dojo.declare("com.ibm.rational.report.web.cq.app.internal.Navbar",
	[com.ibm.rational.report.web.core.app.internal.Navbar], {
	
	templatePath: dojo.moduleUrl("com.ibm.rational.report.web.cq", "app/internal/templates/Navbar.html"),
	
	postCreate: function() {
		this.inherited("postCreate", arguments);
	},
	
	getHelpMenu: function() {
		return new dijit.MenuItem({label: InternalMessages.RATIONAL_CLEARQUEST_REPORTING_HELP, iconClass:"HelpButton",
			onClick: dojo.hitch(this, this._displayHelpWindow)});
	},
	
	getAboutMenu: function() {
		return new dijit.MenuItem({label: InternalMessages.ABOUT_RATIONAL_CLEARQUEST_REPORTING, iconClass:"AboutButton",
			onClick: dojo.hitch(this, this._displayAboutDialog)});
	},
	
	_displayHelpWindow: function() {
		var url = "http://www.ibm.com/support/docview.wss?rs=939&uid=swg21315248";
		name = "Help";
	 	var win = window.open(url,name,'left=0,top=0,resizable=yes,scrollbars=1');
	 	win.focus();
	},
	
	_displayAboutDialog: function() {
		new com.ibm.rational.report.web.cq.app.internal.AboutDialog(
			{title: InternalMessages.ABOUT_RATIONAL_CLEARQUEST_REPORTING});
	}	
	
});

})();
